> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List documents associated with template

GET https://demo.docusign.net/restapi/v2/accounts/{accountId}/templates/{templateId}/documents

Retrieves a list of documents associated with the specified template.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/templates/templatedocuments/list

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `templateId` (string, required) — The ID of the template being accessed.

## Response

### 200

Successful response.

- `templateDocuments` (list of envelopeDocument, optional)
- `templateId` (string, optional) — The ID of the template being accessed.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### envelopeDocument

- `attachmentTabId` (string, optional)
- `authoritativeCopy` (string, optional) — Specifies whether all documents in this envelope are authoritative copies. A document can set its own `authoritativeCopy` property to override this value. For example you can set the `authoritativeCopy` on an envelope level to true but can turn it off for a specific document.
- `availableDocumentTypes` (list of signatureType, optional)
- `containsPdfFormFields` (string, optional)
- `display` (string, optional) — This string sets the display and behavior properties of the document during signing. The possible values are: * `modal` The document is shown as a supplement action strip and can be viewed, downloaded, or printed in a modal window. This is the recommended value for supplemental documents. * `download` The document is shown as a supplement action strip and can be viewed, downloaded, or printed in a new browser window. * `inline` The document is shown in the normal signing window. This value is not used with supplemental documents, but is the default value for all other documents.
- `documentFields` (list of nameValue, optional)
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `includeInDownload` (string, optional) — When set to **true**, the document is included in the combined document download. The default value is **true**.
- `name` (string, optional)
- `order` (string, optional) — An optional value that sets the direction order used to sort the item list. Valid values are: * asc = ascending sort order * desc = descending sort order
- `pages` (string, optional)
- `signerMustAcknowledge` (string, optional) — Sets how the signer interacts with the supplemental document. The possible values are: * `no_interaction` No recipient action is required. * `view` The recipient is required to view the document. * `accept` The recipient is required to accept the document by selecting accept during signing, but is not required to view the document. * `view_accept` The recipient is required to view and accept the document.
- `sizeBytes` (string, optional)
- `type` (string, optional) — Type of the user. Valid values: type_owner, type_participant.
- `uri` (string, optional)

### signatureType

- `isDefault` (string, optional)
- `type` (string, optional) — Type of the user. Valid values: type_owner, type_participant.

### nameValue

- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `name` (string, optional) — The name or key of a name/value pair.
- `originalValue` (string, optional) — The initial value of the tab when it was sent to the recipient.
- `value` (string, optional) — The value field of a name/value pair.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Examples

**Response**

```json
{
  "templateDocuments": [
    {
      "attachmentTabId": "string",
      "authoritativeCopy": "string",
      "availableDocumentTypes": [
        {
          "isDefault": "string",
          "type": "string"
        }
      ],
      "containsPdfFormFields": "string",
      "display": "string",
      "documentFields": [
        {
          "errorDetails": {
            "errorCode": "string",
            "message": "string"
          },
          "name": "string",
          "originalValue": "string",
          "value": "string"
        }
      ],
      "documentId": "string",
      "errorDetails": {
        "errorCode": "string",
        "message": "string"
      },
      "includeInDownload": "string",
      "name": "string",
      "order": "string",
      "pages": "string",
      "signerMustAcknowledge": "string",
      "sizeBytes": "string",
      "type": "string",
      "uri": "string"
    }
  ],
  "templateId": "string"
}
```